<form class="form-inline" #ref=ngForm    (ngSubmit)="getDetails(ref.value)">
    <label for="num" class="mr-sm-2">City Name</label>
    <input type="text" class="form-control mb-2 mr-sm-2" placeholder="Enter City Name" id="num" name="cityName" ngModel>
    <label for="cars" class="mr-sm-2">Select Quarter year</label>
    <select id="cars" name="qtrYearSort"  class="form-control mb-2 mr-sm-2" ngModel >
        <option value="{{year}}"  *ngFor="let year of qtrYears">{{year}}</option>
      </select>
    <button type="submit" class="btn btn-primary mb-2">Submit</button>
</form>
<div class="container" *ngIf="status">
    <h1 class="text-center text-info mt-4 out mb-4">items which are Trending in {{item.cityName}} </h1>
    <div class="container">
        <table class="table table-striped">
            <thead class="thead-dark">
                <th>Item Name</th>
                <th>No Of Orders</th>
            </thead>
            <tr *ngFor="let obj of trendingItems">
                <td>{{obj.item_name}}</td>
                <td>{{obj.count}}</td>
            </tr>
        </table>
    </div>
</div>
